VME Intensity Monitor - Feature #9390
Milestone # 9388 (New): 2015 Shutdown

Implement MDAT Transmitter
07/07/2015 03:05 PM - Roger Tokarek

Status: Closed Start date: 07/07/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 16.00 hours
Target version: Spent time: 10.50 hours
Description

Implement MDAT transmitter for MI/RR.

History

#1 - 08/27/2015 12:52 PM - Roger Tokarek
- Estimated time set to 16.00 h

#2 - 09/20/2015 09:08 PM - John Diamond
- Status changed from New to Assigned
- Assignee changed from Roger Tokarek to John Diamond

- % Done changed from 0 to 10

Roger had carried over some of the MDAT stuff from VMETor but | decided to do a little refactoring here. To start | renamed the MDAT class
IPMDATDrv (IP-MDAT transmitter Driver). The plan here is to make an MDAT subsystem class called 'MDAT' and make it a member of VMEInt. The
configMgr stuff will be replaced with a std::map. The MDAT class will spawn a task who's job will be to scan the devices attached to an MDAT
channel, just like VMETor did, but we will use PMCUCDTimingSystem to attach to the 720Hz interrupt instead.

#3 - 09/20/2015 09:54 PM - John Diamond

Began implementing the MDAT class.
Noticed that we have not refactored to using the PMCUCDTimingSystem class from the timing library. Since this will be used by the MDAT class now
is a good time to do it. Created task #10199 to track this. Going to do that before making more progress here...

#4 - 09/21/2015 10:38 AM - John Diamond
Refactored MDAT to use Timing::PMCUCDTimingSystem as a part of #10199.

#5 - 09/21/2015 01:58 PM - John Diamond
- % Done changed from 10 to 60

Implemented the MDAT subsystem class.
#6 - 09/21/2015 02:39 PM - John Diamond
Implemented ACNET device accessor for MDAT frame delay.

Updated description in Wiki.

#7 - 09/22/2015 12:54 PM - John Diamond
- % Done changed from 60 to 90

Implemented vmeintMDATChannel (mistakenly documented in #9391). Will test this afternoon with MCR permission.

#8 - 09/22/2015 03:20 PM - John Diamond
Verified that the MDAT 720Hz scan is updating the correct registers on the IP-MDAT board.

#9 - 09/22/2015 04:15 PM - John Diamond
Verified that the MDAT delay ACNET device is working.
#10 - 09/22/2015 10:12 PM - John Diamond

Verify with Vogel & co in the morning that they can see the R:TOR853 MDAT frame ($91).
Then, add startup script commands to configure MDAT frames for each node.
And then this issue is closed.

#11 - 09/23/2015 09:45 AM - John Diamond
- % Done changed from 90 to 100

Spoke with Vogel and we verified that mi14tor is putting out the $91 frame. He said to setup the MDAT delay devices for the rest of the devices and
shoot him an e-mail when they are ready to be timed in. Will create a new ticket for that.

#12 - 09/23/2015 09:46 AM - John Diamond

- Status changed from Assigned to Closed
